<?php

use Budget\Entity\Account;

$ht = $this->module()->getClientModuleConfiguration('budget', 'ht');
$gbcp = $this->module()->getClientModuleConfiguration('budget', 'gbcp');
$incomeTypes = $this->incomeTypes();
$posteIncomeBalances = $this->posteIncomeBalances();
?>

<div
	id="posteIncomeFormModal"
	class="modal fade"
	ng-controller="posteIncomeFormController as self"
	ng-init="self.init(
         '<?= $this->from ?>',
         <?= $this->object ? $this->object->getId() : 'null' ?>,
         <?= str_replace('"', '\'', json_encode($incomeTypes)) ?>,
         <?= str_replace('"', '\'', json_encode($posteIncomeBalances)) ?>
     )"
>
	<div class="modal-dialog">
		<div class="modal-content">
			<form name="posteIncomeForm" ng-submit="self.savePosteIncome();">
				<div class="modal-header">
					{{self.panelTitle}}
				</div>
				<div class="modal-body">
					<input
						type="hidden" name="id"
						ng-model="self.posteIncome.id"
					/>

					<ul class="nav nav-tabs nav-justified separator">
						<li class="active">
							<a href="#poste" data-toggle="tab">
								<?= ucfirst($this->translate('poste_income_entity')) ?>
							</a>
						</li>
						<li>
							<a href="#poste-details" data-toggle="tab">
								Détails
							</a>
						</li>
					</ul>

					<div class="tab-content">
						<div class="tab-pane active" id="poste">
							<div class="row">
								<div class="form-group col-xs-12">
									<label><?= $this->translate('poste_income_field_autofinancement') ?></label>
									<br />
									<input
										type="checkbox"
										name="autofinancement"
										ng-model="self.posteIncome.autofinancement"
										ng-disabled="!self.posteIncome._rights.update || lockBudget"
									/>
									<field-errors field="autofinancement" errors="self.errors.fields"></field-errors>
								</div>
							</div>

							<div class="row">
								<div class="form-group col-xs-12">
									<label><?= $this->translate('poste_income_field_name') ?></label>
									<input
										type="text"
										name="name"
										class="form-control"
										autocomplete="off"
										ng-model="self.posteIncome.name"
										ng-readonly="!self.posteIncome._rights.update || lockBudget"
									/>
									<field-errors field="name" errors="self.errors.fields"></field-errors>
								</div>
							</div>

							<div class="row" ng-if="self.reset">
								<div class="form-group col-xs-12">
									<label><?= $this->translate('poste_income_field_account') ?></label>
									<account-select
										name="account"
										ng-model="self.posteIncome.account"
										ng-disabled="!self.posteIncome._rights.update || lockBudget"
										form="posteIncomeForm"
										configuration="{
                                            service: {
                                                apiParams: {
                                                    search: {
                                                        data: {
                                                            filters: {
                                                                type: {
                                                                    op: 'eq',
                                                                    val: '<?= Account::TYPE_INCOME ?>'
                                                                }
                                                            }
                                                        }
                                                    }
                                                }
                                            }
                                        }"
									></account-select>
									<field-errors field="account" errors="self.errors.fields"></field-errors>
								</div>
							</div>

							<?php if ($gbcp): ?>
								<div class="row">
									<div class="form-group col-xs-12">
										<label><?= $this->translate('poste_income_field_nature') ?></label>
										<nature-select
											name="nature"
											ng-model="self.posteIncome.nature"
											ng-disabled="!self.posteIncome._rights.update || lockBudget"
											form="posteIncomeForm"
										></nature-select>
										<field-errors field="nature" errors="self.errors.fields"></field-errors>
									</div>
								</div>
							<?php endif ?>

							<?php if ($gbcp): ?>
								<div class="row">
									<div class="form-group col-xs-12">
										<label><?= $this->translate('poste_income_field_organization') ?></label>
										<organization-select
											name="organization"
											ng-model="self.posteIncome.organization"
											ng-disabled="!self.posteIncome._rights.update || lockBudget"
											form="posteIncomeForm"
										></organization-select>
										<field-errors field="organization" errors="self.errors.fields"></field-errors>
									</div>
								</div>
							<?php endif ?>

							<?php if ($gbcp): ?>
								<div class="row">
									<div class="form-group col-xs-12">
										<label><?= $this->translate('poste_income_field_destination') ?></label>
										<destination-select
											name="destination"
											ng-model="self.posteIncome.destination"
											ng-disabled="!self.posteIncome._rights.update || lockBudget"
											form="posteIncomeForm"
										></destination-select>
										<field-errors field="destination" errors="self.errors.fields"></field-errors>
									</div>
								</div>
							<?php endif ?>

							<div class="row">
								<div class="form-group col-xs-12">
									<label><?= $this->translate('poste_income_field_envelope') ?></label>
									<envelope-select
										name="envelope" ng-model="self.posteIncome.envelope"
										ng-disabled="!self.posteIncome._rights.update || lockBudget"
										required="false" form="posteIncomeForm"
									></envelope-select>
									<field-errors field="envelope" errors="self.errors.fields"></field-errors>
								</div>
							</div>

							<div class="row">
								<div class="form-group col-xs-12">
									<label><?= $this->translate('poste_income_field_amount') ?></label>
									<div class="input-group">
										<input
											type="text"
											name="amount"
											class="form-control"
											autocomplete="off"
											input-mask="decimal"
											ng-model="self.posteIncome.amount"
											ng-readonly="!self.posteIncome._rights.update || lockBudget"
											ng-blur="self.checkEnvelopeAmount()"
										/>
										<div class="input-group-addon">
											<i class="fa fa-euro"></i>
										</div>
									</div>
									<field-errors field="amount" errors="self.errors.fields"></field-errors>
								</div>
							</div>
							<div class="row" ng-if="self.displayEnvelopeWarning">
								<div class="col-xs-12">
									<p class="alert alert-danger"><?= $this->translate('poste_income_envelope_warning') ?></p>
								</div>
							</div>

							<?php if ($ht): ?>
								<div class="row">
									<div class="form-group col-xs-12">
										<label><?= $this->translate('poste_income_field_amountHT') ?></label>
										<div class="input-group">
											<input
												type="text"
												name="amountHT"
												class="form-control"
												autocomplete="off"
												input-mask="decimal"
												ng-model="self.posteIncome.amountHT"
												ng-readonly="!self.posteIncome._rights.update || lockBudget"
											/>
											<div class="input-group-addon">
												<i class="fa fa-euro"></i>
											</div>
										</div>
										<field-errors field="amountHT" errors="self.errors.fields"></field-errors>
									</div>
								</div>
							<?php endif ?>

							<div class="row" ng-if="self.reset">
								<div class="form-group col-xs-12">
									<label><?= $this->translate('poste_income_field_parent') ?></label>
									<poste-income-select
										name="parent" ng-model="self.posteIncome.parent"
										ng-disabled="!self.posteIncome._rights.update || lockBudget"
										form="posteExpenseForm" configuration="{
                                    service: {
                                        apiParams: {
                                            search: {
                                                data: {
                                                    filters: {
                                                        project: {
                                                            op: 'eq',
                                                            val: self.posteIncome.project.parent.id  || self.object.parent.id
                                                        }
                                                    }
                                                }
                                            }
                                        }
                                    }
                            }"
									></poste-income-select>
									<field-errors field="parent" errors="self.errors.fields"></field-errors>
								</div>
							</div>

							<?php if ($this->module()->isActive('keyword')) : ?>
								<div class="row">
									<div class="form-group col-xs-12">
										<keywords-form-group
											entity="posteIncome"
											ng-model="self.posteIncome"
										></keywords-form-group>
									</div>
								</div>
							<?php endif; ?>
						</div>

						<div class="tab-pane" id="poste-details">
							<div class="row">
								<div class="form-group col-xs-6">
									<label><?= $this->translate('poste_income_field_caduciteStart') ?></label>
									<input
										type="text"
										name="caduciteStart"
										class="form-control"
										autocomplete="off"
										input-date
										input-date-mask="date"
										ng-model="self.posteIncome.caduciteStart"
										ng-readonly="!self.posteIncome._rights.update || lockBudget"
									/>
									<field-errors field="caduciteStart" errors="self.errors.fields"></field-errors>
								</div>
								<div class="form-group col-xs-6">
									<label><?= $this->translate('poste_income_field_caduciteEnd') ?></label>
									<input
										type="text"
										name="caduciteEnd"
										class="form-control"
										autocomplete="off"
										input-date
										input-date-mask="date"
										ng-model="self.posteIncome.caduciteEnd"
										ng-readonly="!self.posteIncome._rights.update || lockBudget"
									/>
									<field-errors field="caduciteEnd" errors="self.errors.fields"></field-errors>
								</div>
							</div>

							<div class="row">
								<div class="form-group col-xs-6">
									<label><?= $this->translate('poste_income_field_caduciteSendProof') ?></label>
									<input
										type="text"
										name="caduciteSendProof"
										class="form-control"
										autocomplete="off"
										input-date
										input-date-mask="date"
										ng-model="self.posteIncome.caduciteSendProof"
										ng-readonly="!self.posteIncome._rights.update || lockBudget"
									/>
									<field-errors
										field="caduciteSendProof"
										errors="self.errors.fields"
									></field-errors>
								</div>
							</div>

							<div class="row">
								<div class="form-group col-xs-6">
									<label><?= $this->translate('poste_income_field_folderSendingDate') ?></label>
									<input
										type="text"
										name="folderSendingDate"
										class="form-control"
										autocomplete="off"
										input-date
										input-date-mask="date"
										ng-model="self.posteIncome.folderSendingDate"
										ng-readonly="!self.posteIncome._rights.update || lockBudget"
									/>
									<field-errors
										field="folderSendingDate"
										errors="self.errors.fields"
									></field-errors>
								</div>
								<div class="form-group col-xs-6">
									<label><?= $this->translate('poste_income_field_folderReceiptDate') ?></label>
									<input
										type="text"
										name="folderReceiptDate"
										class="form-control"
										autocomplete="off"
										input-date
										input-date-mask="date"
										ng-model="self.posteIncome.folderReceiptDate"
										ng-readonly="!self.posteIncome._rights.update || lockBudget"
									/>
									<field-errors
										field="folderReceiptDate"
										errors="self.errors.fields"
									></field-errors>
								</div>
							</div>

							<div class="row">
								<div class="form-group col-xs-6">
									<label><?= $this->translate('poste_income_field_arrDate') ?></label>
									<input
										type="text"
										name="arrDate"
										class="form-control"
										autocomplete="off"
										input-date
										input-date-mask="date"
										ng-model="self.posteIncome.arrDate"
										ng-readonly="!self.posteIncome._rights.update || lockBudget"
									/>
									<field-errors field="arrDate" errors="self.errors.fields"></field-errors>
								</div>
								<div class="form-group col-xs-6">
									<label><?= $this->translate('poste_income_field_arrNumber') ?></label>
									<input
										type="text"
										name="arrNumber"
										class="form-control"
										autocomplete="off"
										ng-model="self.posteIncome.arrNumber"
										ng-readonly="!self.posteIncome._rights.update || lockBudget"
									/>
									<field-errors field="arrNumber" errors="self.errors.fields"></field-errors>
								</div>
							</div>

							<div class="row">
								<div class="form-group col-xs-6">
									<label><?= $this->translate('poste_income_field_deliberationDate') ?></label>
									<input
										type="text"
										name="deliberationDate"
										class="form-control"
										autocomplete="off"
										input-date
										input-date-mask="date"
										ng-model="self.posteIncome.deliberationDate"
										ng-readonly="!self.posteIncome._rights.update || lockBudget"
									/>
									<field-errors field="deliberationDate" errors="self.errors.fields"></field-errors>
								</div>
							</div>

							<div class="row">
								<div class="form-group col-xs-6">
									<label><?= $this->translate('poste_income_field_subventionAmount') ?></label>
									<div class="input-group">
										<input
											type="text"
											name="subventionAmount"
											class="form-control"
											autocomplete="off"
											input-mask="decimal"
											ng-model="self.posteIncome.subventionAmount"
											ng-readonly="!self.posteIncome._rights.update || lockBudget"
										/>
										<div class="input-group-addon">
											<i class="fa fa-euro"></i>
										</div>
									</div>
									<field-errors field="subventionAmount" errors="self.errors.fields"></field-errors>
								</div>

								<?php if ($ht): ?>
									<div class="form-group col-xs-6">
										<label><?= $this->translate('poste_income_field_subventionAmountHT') ?></label>
										<div class="input-group">
											<input
												type="text"
												name="subventionAmountHT"
												class="form-control"
												autocomplete="off"
												input-mask="decimal"
												ng-model="self.posteIncome.subventionAmountHT"
												ng-readonly="!self.posteIncome._rights.update || lockBudget"
											/>
											<div class="input-group-addon">
												<i class="fa fa-euro"></i>
											</div>
										</div>
										<field-errors
											field="subventionAmountHT"
											errors="self.errors.fields"
										></field-errors>
									</div>
								<?php endif ?>
							</div>
						</div>
					</div>
				</div>
				<div class="modal-footer">
					<button class="btn btn-default" type="button" data-dismiss="modal">
						<?= $this->translate('close') ?>
					</button>
					<button
						class="btn btn-submit"
						ng-disabled="self.loading.save"
						ng-if="!lockBudget && self.posteIncome._rights.update"
					>
						<?= $this->icon('loading', '', ['ng-if' => 'self.loading.save']) ?>
						<?= $this->translate('save') ?>
					</button>
				</div>
			</form>
		</div>
	</div>
</div>
